Subject: 26.1; I-search-toggle-csse-fold

From: "a_subscriber" <[email-masked]>
Date: Wed, 31 Jul 2019 10:55:45 +0300

--text follows this line--

Windows 10:

Steps to reproduce:

1. emacs -Q

2. M-x I-search-toggle-case-fold

3. Region is selected

But I'm not select any region.

In GNU Emacs 26.1 (build 1, x86_64-w64-mingw32)

of 2018-05-30 built on CIRROCUMULUS

Repository revision: 07f8f9bc5a51f5aa94eb099f3e15fbe0c20ea1ea

Windowing system distributor 'Microsoft Corp.', version 10.0.17763

Recent messages:

Undo!

Quit

Mark set [5 times]

Undo!

Quit

Mark set [3 times]

Undo! [2 times]

Quit

Mark set

Undo!

Configured using:

'configure --without-dbus --host=x86_64-w64-mingw32

--without-compress-install 'CFLAGS=-O2 -static -g3''

Configured features:

XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY ACL GNUTLS LIBXML2 ZLIB

TOOLKIT_SCROLL_BARS THREADS LCMS2

Important settings:

  value of $LANG: ENU

  locale-coding-system: cp1252

Major mode: Lisp Interaction

Minor modes in effect:

  recentf-mode: t

  projectile-mode: t

  global-magit-file-mode: t

  diff-auto-refine-mode: t

  magit-auto-revert-mode: t

  auto-revert-tail-mode: t

  global-git-commit-mode: t

  async-bytecomp-package-mode: t

  shell-dirtrack-mode: t

  openwith-mode: t

  ido-vertical-mode: t

  ido-ubiquitous-mode: t

  ido-everywhere: t

 delete-selection-mode: t

  cua-mode: t

  show-paren-mode: t

  global-hl-line-mode: t

  electric-pair-mode: t

  tooltip-mode: t

  global-eldoc-mode: t

  eldoc-mode: t

  electric-indent-mode: t

  mouse-wheel-mode: t

  menu-bar-mode: t

  file-name-shadow-mode: t

  global-font-lock-mode: t

  font-lock-mode: t

  blink-cursor-mode: t

  auto-composition-mode: t

  auto-encryption-mode: t

  auto-compression-mode: t

  column-number-mode: t

  line-number-mode: t

  transient-mark-mode: t

Load-path shadows:

None found.

Features:

(misearch multi-isearch shadow sort mail-extr emacsbug sendmail calc-map

calc-stat calc-vec calc-misc js sgml-mode dom imenu cc-mode cc-fonts

cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs

calc-menu calc-aent tramp-sh tramp tramp-compat tramp-loaddefs trampver

ucs-normalize org-table dired-x vc-git magit-bookmark bookmark pp

org-rmail org-mhe org-irc org-info org-gnus nnir gnus-sum gnus-group

gnus-undo gnus-start gnus-cloud nnimap nnmail mail-source utf7 netrc

nnoo parse-time gnus-spec gnus-int gnus-range gnus-win gnus nnheader

org-docview doc-view jka-compr image-mode org-bibtex bibtex org-bbdb

org-w3m org-element avl-tree generator org org-macro org-footnote

org-pcomplete org-list org-faces org-entities org-version ob-emacs-lisp

ob ob-tangle org-src ob-ref ob-lob ob-table ob-keys ob-exp ob-comint

ob-core ob-eval org-compat org-macs org-loaddefs find-func cal-menu

calendar cal-loaddefs recentf tree-widget yafolding xah-find

visual-regexp uuid calc-comb calc-ext calc calc-loaddefs calc-macs cl

smart-mode-line-light-theme smart-mode-line rich-minority smex

restclient noutline outline projectile subr-x grep compile ibuf-ext

ibuffer ibuffer-loaddefs multiple-cursors mc-hide-unmatched-lines-mode

mc-separate-operations rectangular-region-mode mc-mark-pop mc-mark-more

mc-cycle-cursors mc-edit-lines magit-obsolete magit-blame magit-stash

magit-bisect magit-remote magit-commit magit-sequence magit-notes

magit-worktree magit-tag magit-merge magit-branch magit-reset

magit-collab ghub url-http tls gnutls url-gw nsm url-auth url url-proxy

url-privacy url-expand url-methods url-history url-cookie url-domsuf

url-util mailcap let-alist json map magit-files magit-refs magit-status

magit magit-repos magit-apply magit-wip magit-log magit-diff smerge-mode

diff-mode magit-core magit-autorevert autorevert filenotify

magit-process magit-margin magit-mode git-commit magit-git magit-section

magit-utils crm magit-popup log-edit easy-mmode message rmc puny

format-spec rfc822 mml mml-sec epa derived epg gnus-util rmail

rmail-loaddefs mm-decode mm-bodies mm-encode mail-parse rfc2231 rfc2047

rfc2045 ietf-drums mailabbrev mail-utils gmm-utils mailheader pcvs-util

add-log with-editor cl-extra help-mode async-bytecomp async shell

pcomplete comint ansi-color server iedit iedit-lib multiple-cursors-core

advice rect popup openwith ido-vertical-mode ido-completing-read+

memoize s cus-edit wid-edit minibuf-eldef ido-at-point ido

highlight-symbol thingatpt dired-narrow dired-hacks-utils dired

dired-loaddefs dash buffer-move windmove ace-window avy ring delsel

cua-base mm-util mail-prsvr wheatgrass-theme paren hl-line elec-pair

cus-start cus-load finder-inf info edmacro kmacro package easymenu

epg-config url-handlers url-parse auth-source cl-seq eieio eieio-core

cl-macs eieio-loaddefs password-cache url-vars seq byte-opt gv bytecomp

byte-compile cconv cl-loaddefs cl-lib time-date mule-util tooltip eldoc

electric uniquify ediff-hook vc-hooks lisp-float-type mwheel dos-w32

ls-lisp disp-table term/w32-win w32-win w32-vars term/common-win

tool-bar dnd fontset image regexp-opt fringe tabulated-list replace

newcomment text-mode elisp-mode lisp-mode prog-mode register page

menu-bar rfn-eshadow isearch timer select scroll-bar mouse jit-lock

font-lock syntax facemenu font-core term/tty-colors frame cl-generic

cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao

korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech

european ethiopic indian cyrillic chinese composite charscript charprop

case-table epa-hook jka-cmpr-hook help simple abbrev obarray minibuffer

cl-preloaded nadvice loaddefs button faces cus-face macroexp files

text-properties overlay sha1 md5 base64 format env code-pages mule

custom widget hashtable-print-readable backquote w32notify w32 lcms2

multi-tty make-network-process emacs)

Memory information:

((conses 16 596417 124859)

(symbols 56 48572 0)

(miscs 48 323 498)

(strings 32 135504 4864)

(string-bytes 1 4191037)

(vectors 16 80210)

(vector-slots 8 1804035 97052)

(floats 8 307 380)

(intervals 56 8936 955)

(buffers 992 29))